6.0.0-git
2019-03-21

[#11126] Progress feedback for the ICS import
Summary Progress feedback for the ICS import
Queue Kronolith
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester shop (at) open-t (dot) co (dot) uk
Created 2012-04-02 (2544 days ago)
Due
Updated 2013-08-20 (2039 days ago)
Assigned
Resolved
Milestone
Patch No

History
2013-08-20 13:06:39 stefan (at) baer (dot) rwth-aachen (dot) de Comment #4 Reply to this comment
I would second this feature request. Importing my 1000 events gathered 
over the last years takes a very long time (why is that?) and a 
progress bar of some kind would be greatly appreciated.
2012-04-03 11:35:35 shop (at) open-t (dot) co (dot) uk Comment #3 Reply to this comment
Thanks for acknowledging this.
Importing such large calendars is a rare fringe case of power users.
I don't know. Few years worth of events easily amount to few thousand 
entries for anybody. The very fact that the import procedure has 
absolutely no feedback (be it that it succeeds or fails) is a 
significant UI problem.

2012-04-02 21:44:17 Jan Schneider Comment #2
State ⇒ Accepted
Priority ⇒ 1. Low
Reply to this comment
Importing such large calendars is a rare fringe case of power users.
2012-04-02 18:32:16 shop (at) open-t (dot) co (dot) uk Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 3. High
Summary ⇒ Progress feedback for the ICS import
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
The ICS import for Kronolith calendars needs progress feedback for the 
user to know what is happening. I've just finished importing a 4819 
entries calendar - which took about 15 minutes. Now this is all fine - 
but the only way I knew this was the case was by watching the table in 
the SQL back end. A regular user would have been left staring at an 
empty calendar, having no idea if the import is happening, is failing 
etc. They would have most likely restarted the process 5 times over 
thinking that it isn't working - and messed up the whole thing.

This could be implemented either:

1. As a generic message - something like "The import process could 
take a long time, after which the events will show up in the calendar. 
It is OK to continue using Horde applications in the meanwhile". This 
should be easier to implement, but not that useful to the user 
(however, more useful than nothing).

2. As a progress display in the Kronolith interface - showing how much 
of the ICS file has already been processed. This could lock the entire 
interface during the import - or just display in a corner while the 
interface is still usable.

Either of the above would make the ICS import process a lot more 
usable to regular, end users, than it is now. At the moment - 
specially with larger calendar sets - it is close to impossible for 
users without access to the back-end to make use of it.

Saved Queries